# Table of Contents - zoom-0.4.1 Documentation

## Pages

- Makefile

## Classes and Modules

- ZOOM
- ZOOM::Connection
- ZOOM::Package
- ZOOM::Query
- ZOOM::Record
- ZOOM::ResultSet

## Methods

- ::new — ZOOM::Connection
- ::new_cql — ZOOM::Query
- ::new_prefix — ZOOM::Query
- ::new_sort_by — ZOOM::Query
- ::open — ZOOM::Connection
- #[] — ZOOM::ResultSet
- #connect — ZOOM::Connection
- #database — ZOOM::Record
- #each_record — ZOOM::ResultSet
- #get_option — ZOOM::Connection
- #get_option — ZOOM::Package
- #get_option — ZOOM::ResultSet
- #length — ZOOM::ResultSet
- #package — ZOOM::Connection
- #raw — ZOOM::Record
- #records — ZOOM::ResultSet
- #render — ZOOM::Record
- #search — ZOOM::Connection
- #send — ZOOM::Package
- #set_option — ZOOM::ResultSet
- #set_option — ZOOM::Package
- #set_option — ZOOM::Connection
- #size — ZOOM::ResultSet
- #syntax — ZOOM::Record
- #to_s — ZOOM::Record
- #xml — ZOOM::Record